Anonymous Login
2018-12-15 14:37 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001972OpenClonkObjectspublic2018-01-07 17:23
ReporterLuchs 
Assigned ToZapper 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Version8.0Fixed in Version8.0 
Summary0001972: Powder Keg shows overlapping numbers in inventory menu
DescriptionSee attached screenshot.
TagsNo tags attached.
Attached Files

-Relationships
related to 0001970assignedZapper Liquid and/or stacked object displays sometimes broken in ObjectInteractionMenu 
+Relationships

-Notes

~0006000

Marky (developer)

could have a relation to 0001970, although this is only the description display

~0006007

Marky (developer)

In my case the numbers on the description are OK, but the numbers on the icon are too far apart. Could not find the code where this is actually done.

~0006011

Zapper (developer)

The "text" on the icon is also occluded by the item count in the inventory.
Hm. The powder keg should probably be an extra slot object with contents or so?

Or at least use a custom overlay like loam.

~0006012

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/1d93216f33f1a248e1f75c234570efa68215e71d

Changeset 1d93216 by David Dormagen <czapper@gmx.de>
powder keg: drop icon overlay in favor of custom menu overlay (0001972)

The old icon overlay was behind the numbers in the inventory menu anyway. Now the object uses a bar similar to loam. And it also updates its description.
When turning empty, the (new) barrel is also no longer play-colored inside.

The powder barrel could of course just use actual gunpowder and be an extra-slot item (like the bow / dynamite box / etc.).

+Notes

-Issue History
Date Modified Username Field Change
2018-01-06 23:53 Luchs New Issue
2018-01-06 23:53 Luchs File Added: Screenshot138.png
2018-01-07 09:07 Marky Relationship added related to 0001970
2018-01-07 09:07 Marky Note Added: 0006000
2018-01-07 15:45 Marky Note Added: 0006007
2018-01-07 16:52 Zapper Note Added: 0006011
2018-01-07 17:23 occ Note Added: 0006012
2018-01-07 17:23 Zapper Assigned To => Zapper
2018-01-07 17:23 Zapper Status new => resolved
2018-01-07 17:23 Zapper Resolution open => fixed
2018-01-07 17:23 Zapper Fixed in Version => 8.0
2018-01-07 17:23 Zapper Target Version => 8.0
+Issue History